import {
  Column,
  Entity,
  JoinColumn,
  ManyToOne,
  PrimaryGeneratedColumn,
} from 'typeorm';
import { Institucion } from '../../institucion/entity/institucion.entity';
import { Programa } from '../../programa/entity/programa.entity';

@Entity()
export class InstitucionPrograma {
  @PrimaryGeneratedColumn()
  id_institucion_programa: number;

  @Column({ type: Boolean, nullable: false, default: false })
  mostrar: boolean;

  @ManyToOne(() => Programa, (programa) => programa.instituciones)
  @JoinColumn({ name: 'id_programa' })
  programa: Programa;

  @ManyToOne(() => Institucion, (institucion) => institucion.programas)
  @JoinColumn({ name: 'id_institucion' })
  institucion: Institucion;
}
