import { Body, Controller, Get, Post, Query } from '@nestjs/common';
import { ApiTags } from '@nestjs/swagger';
import { InstitucionTipoEntradaService } from './institucion-tipo-entrada.service';
import { IdInstitucionDto } from 'src/dto/id-institucion.dto';
import { InstitucionTipoEntradaCreateDto } from './dto/institucion-tipo-entrada-create.dto';

@Controller('institucion-tipo-entrada')
// @ApiTags('institucion-tipo-entrada')
export class InstitucionTipoEntradaController {
  constructor(private tipoEntradaService: InstitucionTipoEntradaService) {}

  @Post()
  create(@Body() body: InstitucionTipoEntradaCreateDto) {
    return this.tipoEntradaService.create(body.tipo_entrada);
  }

  @Get()
  get() {
    return this.tipoEntradaService.findAll();
  }

  @Get('tipos-entrada')
  tiposEntrada(@Query() query: IdInstitucionDto) {
    return this.tipoEntradaService.findAllByIdInstitucion(
      parseInt(query.id_institucion),
    );
  }

  @Get('tipos-entrada-mostrar')
  tipoEntradaMostrar(@Query() query: IdInstitucionDto) {
    return this.tipoEntradaService.findAllByIdInstitucionMostrar(
      parseInt(query.id_institucion),
    );
  }
}
