import { Injectable, NotFoundException } from '@nestjs/common';
import { InjectRepository } from '@nestjs/typeorm';
import { Repository } from 'typeorm';
import { Carrera } from '../institucion-carrera/entity/carrera.entity';
import { Carrito } from '../carrito/entity/carrito.entity';
import { Equipo } from '../equipo/entity/equipo.entity';
import { Institucion } from '../institucion/entity/institucion.entity';
import { Modulo } from '../modulo/entity/modulo.entity';
import { Prestamo } from './entity/prestamo.entity';
import { TipoCarrito } from '../institucion-tipo-carrito/entity/tipo-carrito.entity';
import { TipoUsuario } from '../tipo-usuario/entity/tipo-usuario.entity';
import { Usuario } from '../usuario/entity/usuario.entity';
// import { CarritoService } from '../carrito/carrito.service';
// import { EquipoService } from '../equipo/equipo.service';
// import { InstitucionService } from '../institucion/institucion.service';
// import { ModuloService } from '../modulo/modulo.service';
// import { InstitucionTipoCarritoService } from '../institucion-tipo-carrito/institucion-tipo-carrito.service';
// import { TipoUsuarioService } from '../tipo-usuario/tipo-usuario.service';
// import { UsuarioService } from '../usuario/usuario.service';

@Injectable()
export class PrestamoService {
  constructor(
    @InjectRepository(Prestamo) private repository: Repository<Prestamo>, // private carreraService: CarreraService, // private carritoService: CarritoService, // private equipoService: EquipoService, // private institucionService: InstitucionService, // private institucionTipoCarritoService: InstitucionTipoCarritoService, // private moduloService: ModuloService, // private tipoUsuarioService: TipoUsuarioService, // private usuarioService: UsuarioService,
  ) {}

  findAll(filtros: {
    carrito?: string;
    equipo?: string;
    id_carrera?: number;
    id_institucion?: number;
    id_modulo?: number;
    id_tipo_carrito?: number;
    id_tipo_usuario?: number;
    // id_prestamo?: number;
    pagina: number;
    usuario?: string;
  }) {
    const busqueda: {
      carrera?: Carrera;
      carrito?: Carrito;
      equipo?: Equipo;
      institucion?: Institucion;
      modulo?: Modulo;
      tipoCarrito?: TipoCarrito;
      tipoUsuario?: TipoUsuario;
      usuario?: Usuario;
    } = {};
    // const carrera = this.carreraService.findBy();
    // const carrito = this.carritoService.find();
    // const equipo = this.equipoService.find();
    // const institucion = this.institucionService.find();
    // const modulo = this.moduloService.find();
    // const tipoCarrito = this.institucionTipoCarritoService.find();
    // const tipoUsuario = this.tipoUsuarioService.find();
    // const usuario = this.usuarioService.find();
  }

  findById(id_prestamo: number) {
    return this.repository.findOne({ id_prestamo }).then((prestamo) => {
      if (!prestamo) throw new NotFoundException('No existe este préstamo.');
      return prestamo;
    });
  }
}
